Bug#887849: "qmake: could not find a Qt installation of ''" when QT_SELECT is unset

2018-01-21 Thread Helmut Grohne
Control: reassign -1 src:transmission Control: retitle -1 transmission should not Build-Depends: qt5-default Control: tags -1 + patch Control: affects -1 = On Sat, Jan 20, 2018 at 05:12:22PM +0100, Helmut Grohne wrote: > transmission fails to cross build from source. It runs qmake

Bug#887849: "qmake: could not find a Qt installation of ''" when QT_SELECT is unset

2018-01-20 Thread Helmut Grohne
Package: qtchooser Version: 64-ga1b6736-5 File: /usr/bin/qmake User: helm...@debian.org Usertags: rebootstrap Control: affects -1 + src:transmission transmission fails to cross build from source. It runs qmake via dh_auto_configure and is greeted with: qmake: could not find a Qt installation

Bug#887827: kcalcore FTCBFS: uses try_run

2018-01-20 Thread Helmut Grohne
Source: kcalcore Version: 4:17.08.3-1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap kcalcore fails to cross build from source, because it uses try_run from cmake to figure out the version of libical. Sadly, libical only makes this easily testable with try_compile in version

Bug#887638: kactivitymanagerd FTCBFS: broken C++11 feature checks using try_run

2018-01-18 Thread Helmut Grohne
Source: kactivitymanagerd Version: 5.10.5-2 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap kactivitymanagerd fails to cross build from source, because it checks for standard C++11 features (such as auto) with try_run. The build doesn't depend on these check results in any way

Bug#887636: fltk1.1 FTCBFS: multiple reasons

2018-01-18 Thread Helmut Grohne
y=medium + + * Non-maintainer upload. + * Address FTCBFS: (Closes: #-1) ++ Avoid configuring during clean. ++ Do not pass build architecture compiler to configure. ++ Do not build directory test during arch-only build. + + -- Helmut Grohne <hel...@subdivi.de> Tue, 29 Aug 2017

Bug#887613: gwenview FTCBFS: uses try_run

2018-01-18 Thread Helmut Grohne
Source: gwenview Version: 4:17.08.3-1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap Control: affects 887452 + src:gwenview gwenview fails to cross build from source, because it uses try_run. Fortunately, it does not actually need try_run. The relevant check can be

Bug#887250: systemd should depend on e2fsprogs explicitly

2018-01-17 Thread Helmut Grohne
Control: severity -1 minor I think thus far, nobody has done the analysis part for systemd. On Sun, Jan 14, 2018 at 08:11:47PM +0100, Helmut Grohne wrote: > /bin/journalctl contains chattr. According to file it is a ELF 64-bit LSB > shared object, x86-64, version 1 (SYSV) > /bi

Bug#887521: libkf5auth-bin-dev is not useful for cross compilation

2018-01-17 Thread Helmut Grohne
Package: libkf5auth-bin-dev Version: 4:4.14.36-1 User: helm...@debian.org Usertags: rebootstrap Control: affects -1 + src:kwalletmanager The issue to be found here is very close to #887452. I'm not duplicating my thoughts here. I'm going to start with the differences and head to the conclusion.

Bug#887452: libkf5config-bin-dev is not useful for cross compilation

2018-01-16 Thread Helmut Grohne
Package: libkf5config-bin-dev Version: 5.41.0-1 User: helm...@debian.org Usertags: rebootstrap Control: affects -1 + src:okular libkf5config-bin-dev is not useful for cross compilation. Unfortunately, I don't know how to fix it, so this bug comes without a patch. I'm sorry about that. Still let

Bug#887442: libkf5identitymanagement-dev is wrongly marked Multi-Arch: foreign

2018-01-16 Thread Helmut Grohne
ove Multi-Arch: foreign from libkf5identitymanagement-dev. (Closes: +#-1) + + -- Helmut Grohne <hel...@subdivi.de> Tue, 16 Jan 2018 16:39:48 +0100 + kidentitymanagement (17.08.3-1) unstable; urgency=medium * Team upload. diff --minimal -Nru kidentitymanagement-17.08.3/debia

Bug#887440: vlc FTCBFS: python3 build-dependency not installable

2018-01-16 Thread Helmut Grohne
. + * Annotate Build-Depends: python3 with :native. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Tue, 16 Jan 2018 15:35:52 +0100 + vlc (3.0.0~rc5-1) unstable; urgency=medium * New upstream release candidate. diff --minimal -Nru vlc-3.0.0~rc5/debian/control vlc-3.0.0~rc5/debian/control -

Bug#887410: mark python-roman and python3-roman Multi-Arch: foreign

2018-01-15 Thread Helmut Grohne
ch: foreign. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Tue, 16 Jan 2018 06:14:42 +0100 + python-roman (2.0.0-2) unstable; urgency=medium * Team upload, with maintainer's permission. diff --minimal -Nru python-roman-2.0.0/debian/control python-roman-2.0.0/debian/control ---

Bug#887383: mark libasio-dev Multi-Arch: foreign

2018-01-15 Thread Helmut Grohne
-01-15 20:15:39.0 +0100 @@ -1,3 +1,11 @@ +asio (1:1.10.8-1.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Mark libasio-dev Multi-Arch: foreign. (Closes: #-1) + * Mark libasio-doc Multi-Arch: foreign. + + -- Helmut Grohne <hel...@subdivi.de> Mon, 15 Jan 2018 20:15:39

Bug#887381: linphone: transition Build-Depends: vim-common to xxd

2018-01-15 Thread Helmut Grohne
@@ -1,3 +1,10 @@ +linphone (3.6.1-3.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Update Build-Depends: xxd moved from vim-common to xxd. Closes: #-1 + + -- Helmut Grohne <hel...@subdivi.de> Mon, 15 Jan 2018 19:46:35 +0100 + linphone (3.6.1-3) unstable; urgency=

Bug#887379: gmediaserver FTCBFS: perl build dependency unsatisfiable

2018-01-15 Thread Helmut Grohne
: perl with :native (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 15 Jan 2018 19:39:07 +0100 + gmediaserver (0.13.0-8) unstable; urgency=low * Update to Standards version 3.9.3 diff --minimal -Nru gmediaserver-0.13.0/debian/control gmediaserver-0.13.0/debian/c

Bug#887378: mark wx3.0-i18n Multi-Arch: foreign

2018-01-15 Thread Helmut Grohne
wx3.0-headers Architecture: all. ++ Also mark it Multi-Arch: foreign. ++ Update dependencies on it from ${binary:Version} to ${source:Version}. + + -- Helmut Grohne <hel...@subdivi.de> Mon, 15 Jan 2018 18:47:50 +0100 + wxwidgets3.0 (3.0.3.1+dfsg2-1) unstable; urgency=medium

Bug#887266: initscripts should depend on e2fsprogs explicitly

2018-01-15 Thread Helmut Grohne
On Mon, Jan 15, 2018 at 02:35:01AM +0100, Adam Borowski wrote: > This is an interesting case. Indeed. > Small containers, systems and chroots that need an init really want to use > sysvinit (thus initscripts) instead of systemd, as it's drastically smaller, > both in terms of memory use and disk

Bug#887254: [Debian-ha-maintainers] Bug#887254: resource-agents should depend on e2fsprogs explicitly

2018-01-15 Thread Helmut Grohne
On Mon, Jan 15, 2018 at 11:04:38AM +0100, Valentin Vidic wrote: > This is just a test script, so I don't think we need to add dependencies > to resource-agents. If you meant to close the bug, you should cc 887254-done@bugs.d.o. Helmut

Bug#887258: palo should depend on e2fsprogs explicitly

2018-01-15 Thread Helmut Grohne
Hi Helge, On Mon, Jan 15, 2018 at 08:44:19AM +0100, Helge Deller wrote: > palo debian control file currently states: > Suggests: e2fsprogs (>= 1.2) > > Isn't that sufficient? I'm sorry. I was not considering that Suggests could be used as well. If this is sufficient for your purpose, then so

Bug#887314: mark libkf5sane-data Multi-Arch: foreign

2018-01-14 Thread Helmut Grohne
) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Mark libkf5sane-data Multi-Arch: foreign. (Closes: #-1) + * Mark libkf5sane{5,-dev} Multi-Arch: same. + + -- Helmut Grohne <hel...@subdivi.de> Sun, 14 Jan 2018 21:46:24 +0100 + libkf5sane (17.08.3-1) unstable; urgency=medium

Bug#887250: systemd should depend on e2fsprogs explicitly

2018-01-14 Thread Helmut Grohne
On Sun, Jan 14, 2018 at 09:07:58PM +0100, Michael Biebl wrote: > Given your other bug reports, it looks like chattr/lsattr should > probably be moved into another essential package then. It doesn't look > like those tools are ext? specific. This was discussed on d-devel. While these tools are not

Bug#887308: mark kpackagetool5 Multi-Arch: foreign

2018-01-14 Thread Helmut Grohne
f5package-dev Multi-Arch: same. + + -- Helmut Grohne <hel...@subdivi.de> Sun, 14 Jan 2018 20:54:34 +0100 + kpackage (5.37.0-2) sid; urgency=medium * New revision diff --minimal -Nru kpackage-5.37.0/debian/control kpackage-5.37.0/debian/control --- kpackage-5.37.0/debian/control

Bug#886870: ldapvi FTCBFS: uses the build architecture pkg-config

2018-01-10 Thread Helmut Grohne
Source: ldapvi Version: 1.7-10 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap ldapvi fails to cross build from source, because it hard codes the build architecture pkg-config and fails to consider $ac_tool_prefix. The attached patch fixes that. Please consider applying it.

Bug#886778: qupzilla FTCBFS: uses build architecture qmake and pkg-config

2018-01-09 Thread Helmut Grohne
) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Fix FTCBFS: Closes: #-1 ++ Select qt5 via QT_SELECT. ++ Use the right pkg-config. + + -- Helmut Grohne <hel...@subdivi.de> Tue, 09 Jan 2018 21:11:14 +0100 + qupzilla (2.2.3~dfsg1-1) unstable; urgency=medium * New up

Bug#886754: mcp-plugins FTCBFS: hard codes the build architecture compiler g++

2018-01-09 Thread Helmut Grohne
Source: mcp-plugins Version: 0.4.0-5 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap mcp-plugins fails to cross build from source, because the upstream Makefile hard codes the build architecture compiler g++. Please consider applying the attached patch that makes it cross

Bug#886753: acpica-unix FTCBFS: uses the build architecture strip

2018-01-09 Thread Helmut Grohne
. + * Fix FTCBFS: Do not strip during make install. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Tue, 09 Jan 2018 15:54:54 +0100 + acpica-unix (20171110-1) unstable; urgency=medium * Upgrade to 20171110 upstream. diff --minimal -Nru acpica-unix-20171110/debian/rules acpic

Bug#886461: libfreetype6-dev is wrongly marked Multi-Arch: same

2018-01-09 Thread Helmut Grohne
On Tue, Jan 09, 2018 at 11:13:11AM +, Hugh McMaster wrote: > When I last checked, 33 packages FTBFS with freetype-config removed [1]. > That said, removing freetype-config was -- and still is -- my preferred > option. See bug #870618 for the request. I think I ran into ~6 of them (because

Bug#886706: motion FTCBFS: uses the build architecture pkg-config

2018-01-08 Thread Helmut Grohne
Source: motion Version: 4.0-1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap motion fails to cross build from source, because it uses the build architecture pkg-config and thus fails to find ffmpeg libraries, which are only requested for the host architecture by

Bug#886667: fritzing FTCBFS: does not pass cross flags to qmake

2018-01-08 Thread Helmut Grohne
2018-01-08 19:56:36.0 +0100 @@ -1,3 +1,10 @@ +fritzing (0.9.3b+dfsg-4.2) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Fix FTCBFS: Let dh_auto_configure pass -specs to qmake. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 08 Jan 2018 19:56:36 +0100 + fr

Bug#886656: qbs FTCBFS: runs host tools for test setup despite DEB_BUILD_OPTIONS=nocheck

2018-01-08 Thread Helmut Grohne
+dfsg/debian/changelog2018-01-08 15:54:29.0 +0100 @@ -1,3 +1,10 @@ +qbs (1.10.0+dfsg-2.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Properly support DEB_BUILD_OPTIONS=nocheck. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 08 Jan 2018 15:54:29 +0100

Bug#886578: mate-user-share FTCBFS: wrongly uses pkg-config

2018-01-07 Thread Helmut Grohne
Source: mate-user-share Version: 1.18.0-1.1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap mate-user-share fails to cross build from source, because it wrongly uses pkg-config. The attached patch fixes all the issues and makes it cross build. Let me briefly discuss the hunks:

Bug#886572: texstudio FTBFS: does not find quazip

2018-01-07 Thread Helmut Grohne
Source: texstudio Version: 2.12.6+debian-1 Severity: serious User: helm...@debian.org Usertags: rebootstrap texstudio fails to build from source, because it does not find quazip. Tail of a build log: | g++ -c -pipe -std=c++0x -g -O2 -fdebug-prefix-map=/<>/texstudio-2.12.6+debian=.

Bug#886461: libfreetype6-dev is wrongly marked Multi-Arch: same

2018-01-07 Thread Helmut Grohne
On Sun, Jan 07, 2018 at 12:14:20PM +, Hugh McMaster wrote: > On Saturday, 6 Jan 2018 11:59:23 +0100, Helmut Grohne wrote: > Did you set PKG_CONFIG_LIBDIR to /usr/lib/i386-linux-gnu/pkgconfig? No. One is not supposed to set PKG_CONFIG_LIBDIR as it breaks the cross wrapper and thus breaks

Bug#886543: qsynth FTCBFS: uses the build architecture qmake

2018-01-07 Thread Helmut Grohne
Source: qsynth Version: 0.5.0-1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap qsynth fails to cross build from source, because it searches for qmake without considering $ac_tool_prefix. After replacing the relevant AC_PATH_PROG with AC_PATH_TOOL, it runs into #886542. Please

Bug#886542: -qmake -query something is broken

2018-01-07 Thread Helmut Grohne
y something. (closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Sun, 07 Jan 2018 14:44:24 +0100 + qtbase-opensource-src (5.9.2+dfsg-6) unstable; urgency=medium [ Lisandro Damián Nicanor Pérez Meyer ] diff --minimal -Nru qtbase-opensource-src-5.9.2+dfsg/debian/qmake-cross-wrapper q

Bug#886521: qpdfview FTCBFS: multiple causes

2018-01-07 Thread Helmut Grohne
for lrelease. ++ Let dh_auto_configure pass cross flags to qmake. ++ Add cross.patch. + + -- Helmut Grohne <hel...@subdivi.de> Sat, 06 Jan 2018 19:40:41 +0100 + qpdfview (0.4.14-1) unstable; urgency=low * New upstream release. diff --minimal -Nru qpdfview-0.4.14/debian/control qpdfview-

Bug#886518: debhelper makes packages FTBFS: dh: Internal error: debian/rules install-arch is a rules target, but it is not supported to be!?

2018-01-06 Thread Helmut Grohne
Package: debhelper Version: 11.1 Severity: serious Control: affects -1 + src:file User: helm...@debian.org Usertags: rebootstrap Building file started to fail tonight. The new error comes from debhelper and debhelper was the thing that was uploaded. Very likely, debhelper is the culprit, but it

Bug#886471: wkhtmltopdf FTCBFS: runs qmake without cross flags

2018-01-06 Thread Helmut Grohne
-maintainer upload. + * Fix FTCBFS: Let dh_auto_configure run qmake with the right flags. (Closes: +#-1) + + -- Helmut Grohne <hel...@subdivi.de> Sat, 06 Jan 2018 14:55:58 +0100 + wkhtmltopdf (0.12.3.2-3) unstable; urgency=medium * Fix typos in long descriptions. Thanks to V

Bug#883526: closed by Andreas Rönnquist <gus...@debian.org> (Bug#883526: fixed in geeqie 1:1.4-1)

2018-01-06 Thread Helmut Grohne
Control: reopen -1 Control: affects 882785 + src:geeqie On Wed, Jan 03, 2018 at 11:21:06PM +, Debian Bug Tracking System wrote: >* New upstream version 1.4 > - Really fixes the problems with trapping errors (Closes: 883526) I'm very sorry to reopen this bug again, but this fix

Bug#871470: closed by Steve Langasek <vor...@debian.org> (Bug#871470: fixed in freetype 2.8.1-1)

2018-01-06 Thread Helmut Grohne
Control: reopen -1 On Fri, Jan 05, 2018 at 03:39:17AM +, Debian Bug Tracking System wrote: >* debian/patches/patches-freetype/freetype-config-multi-arch.patch: > - Remove the arch-dependent output of `freetype-config --libs`. >Closes: #871470, #870618. Whatever you did here,

Bug#886461: libfreetype6-dev is wrongly marked Multi-Arch: same

2018-01-06 Thread Helmut Grohne
Package: libfreetype6-dev Version: 2.8.1-1 Severity: important User: helm...@debian.org Usertags: rebootstrap If I "apt-get install libfreetype6-dev:i386 pkg-config" and then run "freetype-config --cflags; echo $?", I get:o In an i386 sid chroot: $ freetype-config --cflags; echo $?

Bug#886315: libc6-dev-$arch-cross incompatible with libc6-dev:$arch: glibc major version skew

2018-01-04 Thread Helmut Grohne
Package: libc6-dev-arm64-cross,libc6-dev-armel-cross,libc6-dev-armhf-cross,libc6-dev-mips-cross,libc6-dev-mips64el-cross,libc6-dev-mipsel-cross,libc6-dev-ppc64el-cross,libc6-dev-s390x-cross Version: 2.25-3cross1 Severity: important User: helm...@debian.org Usertags: rebootstrap Control: block -1

Bug#886304: djview4 FTCBFS: uses custom, broken macro AC_PROG_PKG_CONFIG

2018-01-04 Thread Helmut Grohne
Source: djview4 Version: 4.10.6-3 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap djview4 fails to cross build from source, because it uses the build architecture pkg-config rather than the host architecture one. This is due to its use of AC_PROG_PKG_CONFIG, which fails to

Bug#886301: glibc: logme removal accidentally breaks stage1

2018-01-03 Thread Helmut Grohne
Source: glibc Version: 2.26-1 Tags: patch User: helm...@debian.org Usertags: rebootstrap Hi Aurelien, pkg-glibc commit 74784d0d9e06adb57047548685e79ea0223a05ac ("debian/rules, debian/rules.d/build.mk: stop logging build/check messages to files, both sbuild and debuild are able to do that.")

Bug#886212: pure-ftpd FTCBFS: configures for the build architecture

2018-01-02 Thread Helmut Grohne
-ftpd-1.0.46/debian/changelog +++ pure-ftpd-1.0.46/debian/changelog @@ -1,3 +1,11 @@ +pure-ftpd (1.0.46-1.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Partially fix FTCBFS: Let dh_auto_configure pass --host to ./configure. +(Closes: #-1) + + -- Helmut Grohne <

Bug#886004: elfutils should build without -Werror

2018-01-02 Thread Helmut Grohne
On Wed, Jan 03, 2018 at 12:42:44AM +0100, Mark Wielaard wrote: > In general, if it is a new gcc release, we will likely have seen the > issue before upstream or in another distro and can providing a patch to > include in the debian package can normally be done in 3 days. This > is what we do with

Bug#886162: qbittorrent FTCBFS: configures for the build architecture

2018-01-02 Thread Helmut Grohne
FTCBFS: Let dh_auto_configure pass --host to ./configure. +(Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Tue, 02 Jan 2018 19:34:55 +0100 + qbittorrent (4.0.3-1) unstable; urgency=medium * New upstream release (Closes: #883871). diff --minimal -Nru qbittorrent-4.0.3/debian

Bug#886160: pptpd FTCBFS: fails to propagate CC to plugins/Makefile

2018-01-02 Thread Helmut Grohne
Source: pptpd Version: 1.4.0-10 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap pptpd fails to cross build from source, because it fails to propagate CC to plugins/Makefile. It is correctly detected by configure and correctly forwarded to Makefile.am, but fails being forwarded

Bug#886139: gimagereader should not use gdk-pixbuf-pixdata

2018-01-02 Thread Helmut Grohne
Source: gimagereader Version: 3.2.1-1 Tags: upstream patch User: helm...@debian.org Usertags: rebootstrap Forwarded: https://github.com/manisandro/gImageReader/pull/284 gdk-pixbuf-pixdata is deprecated: https://bugzilla.gnome.org/show_bug.cgi?id=776004

Bug#886137: easytag should not use gdk-pixbuf-pixdata

2018-01-02 Thread Helmut Grohne
Source: easytag Version: 2.4.3-1 Tags: upstream patch User: helm...@debian.org Usertags: rebootstrap gdk-pixbuf-pixdata is deprecated: https://bugzilla.gnome.org/show_bug.cgi?id=776004 https://git.gnome.org//browse/gdk-pixbuf/tree/NEWS#n96 easytag uses it. By doing so it fails cross compilation

Bug#886113: ocrodjvu does not find any languages with tesseract 4.x

2018-01-02 Thread Helmut Grohne
Package: ocrodjvu Version: 0.10.2-1 Severity: important After upgrading tesseract to 4.x, ocrodjvu does not work for me at all. The immediate error message is: usage: ocrodjvu [options] FILE ocrodjvu: error: language pack for the selected language (eng) is not available That's when I

Bug#886004: elfutils should build without -Werror

2018-01-02 Thread Helmut Grohne
Control: tags -1 - upstream On Tue, Jan 02, 2018 at 10:57:44AM +0100, Mark Wielaard wrote: > Could you please file a bug for that. I am not aware of any such issue. > So would like to fix it, and would if I knew about it. Thanks. No. Matthias Klose will file them, when he considers gcc-8 ready

Bug#886004: elfutils should build without -Werror

2018-01-02 Thread Helmut Grohne
On Mon, Jan 01, 2018 at 06:31:37PM +0100, Mark Wielaard wrote: > In general we try to catch any compiler errors and build with pre-release > gcc versions. Please do report any you catch upstream. Thanks. History shows that this trying is not working in practise. For example, it FTBFS with gcc-8

Bug#846381: avahi-daemon: cups frequently forgets about all printers untils restarting avahi-daemon

2018-01-02 Thread Helmut Grohne
On Mon, Jan 01, 2018 at 03:47:04PM +, Brian Potkin wrote: > evince can get remote printer information from cups-browsed but, if the > latter is not running, it browses the Bonjour broadcasts of servers and > printers directly, just as avahi-browse does. I cannot confirm the described

Bug#886004: elfutils should build without -Werror

2018-01-01 Thread Helmut Grohne
Source: elfutils Version: 0.170-0.1 Severity: wishlist Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap elfutils upstream enables -Werror for compilation by default. This has caused FTBFS with gcc-6 and gcc-7 and is going to cause FTBFS with gcc-8 soon. Using -Werror is good if

Bug#846381: avahi-daemon: cups frequently forgets about all printers untils restarting avahi-daemon

2018-01-01 Thread Helmut Grohne
Control: tags -1 - moreinfo On Mon, Jan 01, 2018 at 12:46:47AM +, Brian Potkin wrote: > Thanks you for your report, Helmut. Thanks for looking into this. > On Wed 30 Nov 2016 at 20:57:01 +0100, Helmut Grohne wrote: > > Since Debian jessie, cups uses avahi to broadcast

Bug#885857: timidity FTCBFS: wrongly assumes availability of libOggFLAC for cross compilation

2017-12-30 Thread Helmut Grohne
Source: timidity Version: 2.13.2-40.5 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap timidity fails to cross build from source, because ./configure assumes availability of libOggFLAC during cross compilation. During the Debian build, this library is not available however.

Bug#885854: dovecot FTCBFS: does not pass --host to ./configure

2017-12-30 Thread Helmut Grohne
. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Sat, 30 Dec 2017 11:58:13 +0100 + dovecot (1:2.2.33.2-1) unstable; urgency=medium * [8216f38] New upstream version 2.2.33.2 diff --minimal -Nru dovecot-2.2.33.2/debian/rules dovecot-2.2.33.2/debian/rules --- dovecot-2.2.33.2/debian

Bug#885855: dovecot should use less AC_RUN_IFELSE

2017-12-30 Thread Helmut Grohne
Source: dovecot Version: 1:2.2.33.2-1 Severity: wishlist Tags: upstream patch User: helm...@debian.org Usertags: rebootstrap For cross building dovecot one has to set a significant pile of autoconf cache variables to make all those AC_RUN_IFELSE checks work. For some of those checks, there is no

Bug#885845: netcdf FTCBFS: CHECK_C_SOURCE_RUNS

2017-12-30 Thread Helmut Grohne
Source: netcdf Version: 1:4.5.0-1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap netcdf fails to cross build from source, because it uses CHECK_C_SOURCE_RUNS. Fortunately, the only relevant check can easily be turned into CHECK_C_SOURCE_COMPILES (by exploiting that arrays of

Bug#884798: lintian could complain about pkg-config uses that fail to use $ac_tool_prefix

2017-12-29 Thread Helmut Grohne
On Fri, Dec 29, 2017 at 06:02:07PM -0500, James McCoy wrote: > http://tirania.org/blog/archive/2012/Oct-20.html had some strong words > to say about using pkg.m4. Are those concerns still valid? Should > pkg.m4's macros be recommended or simply AC_PATH_TOOL? That blog post looks like a

Bug#885712: libdebian-installer should not use -Werror

2017-12-29 Thread Helmut Grohne
:02.0 +0100 @@ -1,3 +1,10 @@ +libdebian-installer (0.112+nmu1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Do not compile with -Werror by default. Closes: #-1. + + -- Helmut Grohne <hel...@subdivi.de> Fri, 29 Dec 2017 13:32:02 +0100 + libdebian-installer (0.112) un

Bug#885697: speech-tools FTCBFS: does not propagate CC/CXX from configure to make

2017-12-29 Thread Helmut Grohne
) + + -- Helmut Grohne <hel...@subdivi.de> Fri, 29 Dec 2017 10:25:34 +0100 + speech-tools (1:2.4~release-6) unstable; urgency=medium * Use canonical anonscm vcs URL. diff --minimal -Nru speech-tools-2.4~release/debian/rules speech-tools-2.4~release/debian/rules --- speech-tools-2.4~release/

Bug#883526: [/master] Add patch trap_errors_from_make.patch (Closes: #883526)

2017-12-29 Thread Helmut Grohne
Control: reopen -1 On Mon, Dec 25, 2017 at 08:12:15PM +, Andreas Rönnquist wrote: > Add patch trap_errors_from_make.patch (Closes: #883526) Thank you for attempting to fix this. Unfortunately, this doesn't quite do it. My initial suggestion to add set -e apparently doesn't do it.

Bug#885646: libopenobex FTCBFS: installs to non-multiarch locations

2017-12-28 Thread Helmut Grohne
the right cmake flags. (Closes: +#-1) + + -- Helmut Grohne <hel...@subdivi.de> Thu, 28 Dec 2017 21:17:54 +0100 + libopenobex (1.7.2-1) unstable; urgency=medium * New upstream released. diff --minimal -Nru libopenobex-1.7.2/debian/rules libopenobex-1.7.2/debian/rules --- libopenobex

Bug#885622: bsdmainutils FTBFS: missing libncurses5-dev build dependency for using termcap.h

2017-12-28 Thread Helmut Grohne
:50.0 +0100 @@ -1,3 +1,10 @@ +bsdmainutils (11.1.1+nmu1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Fix FTBFS: Add libncurses5-dev to Build-Depends. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Thu, 28 Dec 2017 18:17:50 +0100 + bsdmainutils (11.1.1) un

Bug#885151: transmission FTCBFS: uses AC_RUN_IFELSE

2017-12-24 Thread Helmut Grohne
Source: transmission Version: 2.92-2 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap transmission fails to cross build from source, because it uses AC_RUN_IFELSE. Fortunately, the use is unnecessary and can simply be filled with AC_COMPILE_IFELSE. The attached patch implements

Bug#885150: orbit2 FTCBFS: broken embedded copy of AC_CHECK_ALIGNOF

2017-12-24 Thread Helmut Grohne
Source: orbit2 Version: 1:2.14.19-4 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap orbit2 fails to cross build from source, because its acinludes.m4 contains a broken and outdated embedded copy of AC_CHECK_ALIGNOF that fails for cross compilation. It makes configure abort.

Bug#885129: java-atk-wrapper FTCBFS: javac: Exec format error

2017-12-24 Thread Helmut Grohne
ncy=medium + + * Non-maintainer upload. + * Fix FTCBFS: Annotate default-jdk dependency with :native. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Sun, 24 Dec 2017 12:51:57 +0100 + java-atk-wrapper (0.33.3-13) unstable; urgency=medium * patches/thread-daemon: Make JAW th

Bug#885107: engrampa FTCBFS: tries to pass empty -rpath

2017-12-23 Thread Helmut Grohne
Source: engrampa Version: 1.18.3-1 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap engrampa fails to cross build from source, because it tries to pass an empty -rpath to libtool, which fails. The empty value comes the CAJA_EXTENSION_DIR variable which is seeded from a bare

Bug#885096: lintian could warn about use of /usr/lib/pkgconfig

2017-12-23 Thread Helmut Grohne
Package: lintian Version: 2.5.65 Severity: wishlist User: helm...@debian.org Usertags: rebootstrap Hi lintian maintainers and in particular Chris, I have another wish for a lintian check and maybe Santa is gracious to me this year. I've been filing ~1000 patches for cross build bugs and that

Bug#885097: move libpanel-applet.pc to a multiarch location

2017-12-23 Thread Helmut Grohne
:41.0 +0200 +++ gnome-panel-3.26.0/debian/changelog 2017-12-23 16:06:48.0 +0100 @@ -1,3 +1,10 @@ +gnome-panel (3.26.0-1.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Move libpanel-applet.pc to a multiarch location. (Closes: #-1) + + -- Helmut Grohne <

Bug#885019: reconsider placement of glib-compile-resources

2017-12-23 Thread Helmut Grohne
Hi Simon, thank you for taking the time. On Fri, Dec 22, 2017 at 11:08:58PM +, Simon McVittie wrote: > As far as I can tell from skim-reading its source code, this tool has > non-architecture-dependent output, so it should live in libglib2.0-bin or > libglib2.0-dev-bin (optionally with

Bug#885019: reconsider placement of glib-compile-resources

2017-12-22 Thread Helmut Grohne
Package: libglib2.0-0 Version: 2.54.2-1 File: /usr/lib//glib-2.0/glib-compile-resources User: helm...@debian.org Usertags: rebootstrap Control: affects -1 + src:empathy src:gupnp-tools The packages listed under affects fail to cross build from source, because they fail running

Bug#884798: lintian could complain about pkg-config uses that fail to use

2017-12-22 Thread Helmut Grohne
Hi Chris, On Fri, Dec 22, 2017 at 08:09:20PM +, Chris Lamb wrote: > > https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=70c81c7f1c9e96c8109988efe8aeca7ed17f122a > > Let me know if you have any suggestions :) Yes, I do. The tag description suggests that pkg-config could have

Bug#885003: move valgrind.pc to a multiarch location

2017-12-22 Thread Helmut Grohne
-3.13.0/debian/changelog2017-07-24 01:41:05.0 +0200 +++ valgrind-3.13.0/debian/changelog2017-12-22 20:18:00.0 +0100 @@ -1,3 +1,10 @@ +valgrind (1:3.13.0-1.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Multiarchify pkg-config file. (Closes: #-1) + + -- Helmut

Bug#884798: lintian could complain about pkg-config uses that fail to use $ac_tool_prefix

2017-12-22 Thread Helmut Grohne
Hi Chris, On Wed, Dec 20, 2017 at 10:45:04PM +, Chris Lamb wrote: > > If yes, what would be a good check? Should it just check the toplevel > > configure.ac and configure.in or any file found on any directory level? > > This is my primary concern ??? warning about broken configure.{am,in} in

Bug#884926: mark docbook2x Multi-Arch: foreign

2017-12-21 Thread Helmut Grohne
h: foreign. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Thu, 21 Dec 2017 14:03:26 +0100 + docbook2x (0.8.8-15) unstable; urgency=medium * Team upload diff --minimal -Nru docbook2x-0.8.8/debian/control docbook2x-0.8.8/debian/control --- docbook2x-0.8.8/debian/control

Bug#882531: [PATCH] build: guess availability of monotonic clock for cross compilation

2017-12-21 Thread Helmut Grohne
land for unusual platform" and this commit switches to the latter. Signed-off-by: Helmut Grohne <hel...@subdivi.de> Bug-Debian: https://bugs.debian.org/882531 --- configure.ac | 7 +++ 1 file changed, 7 insertions(+) diff --git a/configure.ac b/configure.ac index 456a9e0a9..30b4b383d 100644 -

Bug#884798: lintian could complain about pkg-config uses that fail to use $ac_tool_prefix

2017-12-19 Thread Helmut Grohne
Package: lintian Severity: wishlist User: helm...@debian.org Usertags: rebootstrap Hi lintian developers, I would like to discuss a potentially new tag. If this makes sense, I'd hope that someone can turn it into code. If not, please close as wontfix. After sending like 1000 cross build

Bug#884777: gnome-user-share FTCBFS: uses the build architecture pkg-config

2017-12-19 Thread Helmut Grohne
Source: gnome-user-share Version: 3.18.3-2 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap gnome-user-share fails to cross build from source, because it fails to consider $ac_tool_prefix when searching for pkg-config or simply hard codes the plain pkg-config. Afterin using the

Bug#884729: libgctp FTCBFS: uses the build architecture compiler during make install

2017-12-18 Thread Helmut Grohne
:23:28.0 +0200 +++ libgctp-2.0/debian/changelog2017-12-18 20:47:38.0 +0100 @@ -1,3 +1,10 @@ +libgctp (2.0-2.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Fix FTCBFS: Also pass CC to make install. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de>

Bug#884728: xmount FTCBFS: does not pass cross flags to cmake

2017-12-18 Thread Helmut Grohne
; urgency=medium + + * Non-maintainer upload. + * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 18 Dec 2017 20:41:47 +0100 + xmount (0.7.3-1) unstable; urgency=medium * [adaf426] Imported new upstream release 0.7.

Bug#884727: sc FTCBFS: uses the build architecture compiler

2017-12-18 Thread Helmut Grohne
. + * Fix FTCBFS: Let dh_auto_build pass a suitable CC to make. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 18 Dec 2017 20:37:39 +0100 + sc (7.16-4) unstable; urgency=low * debian/patches/function_definitions diff --minimal -Nru sc-7.16/debian/rules sc-7.16/debian/rules

Bug#884726: rdist FTCBFS: uses the build architecture compiler

2017-12-18 Thread Helmut Grohne
=medium + + * Non-maintainer upload. + * Fix FTCBFS: Let dh_auto_build pass cross compilers to make. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 18 Dec 2017 20:31:09 +0100 + rdist (6.1.5-19) unstable; urgency=medium * Fix uses-deprecated-compression-for-data-tarbal

Bug#884723: frotz FTCBFS: uses the build architecture compiler during make install

2017-12-18 Thread Helmut Grohne
:54.0 +0100 +++ frotz-2.44/debian/changelog 2017-12-18 20:26:28.0 +0100 @@ -1,3 +1,10 @@ +frotz (2.44-0.2) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Fix FTCBFS: Also pass CC to make install. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 18 Dec 2017

Bug#884722: plzip FTCBFS: configures for the build architecture

2017-12-18 Thread Helmut Grohne
-18 19:34:25.0 +0100 @@ -1,3 +1,10 @@ +plzip (1.6-4.1) UNRELEASED; urgency=medium + + * Non-maintainer upload. + * Fix FTCBFS: Pass a suitable CXX to configure. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Mon, 18 Dec 2017 19:34:25 +0100 + plzip (1.6-4) unstable; urgency=

Bug#884654: glib2.0 FTBFS on amd64: gdbus test suite failures

2017-12-17 Thread Helmut Grohne
Source: glib2.0 Version: 2.54.2-2 Severity: serious User: helm...@debian.org Usertags: rebootstrap glib2.0 fails to build from source on amd64. This happens both on the buildd https://buildd.debian.org/status/fetch.php?pkg=glib2.0=amd64=2.54.2-2=1513222982=0 and on the reproducible infrastructure

Bug#884653: vzctl FTCBFS: configures for the build architecture

2017-12-17 Thread Helmut Grohne
=medium + + * Non-maintainer upload. + * Fix FTCBFS: Let dh_auto_configure pass cross compilers. Closes: #-1. + + -- Helmut Grohne <hel...@subdivi.de> Thu, 26 Jan 2017 19:46:19 +0100 + vzctl (4.9.4-3) unstable; urgency=high * Removed depdendency on hardening wrapper. Closes: #836660

Bug#884630: courier-authlib FTCBFS: multiple ./configure problems

2017-12-17 Thread Helmut Grohne
-cross.patch: Consider $ac_tool_prefix for pkg-config. + + -- Helmut Grohne <hel...@subdivi.de> Mon, 18 Sep 2017 19:04:43 +0200 + courier-authlib (0.68.0-4) unstable; urgency=medium [ Matthias Klose ] diff --minimal -Nru courier-authlib-0.68.0/debian/patches/0008-cross.patch courier-authlib-

Bug#884558: proftpd-dfsg FTCBFS: fails stripping with the build architecture strip

2017-12-16 Thread Helmut Grohne
(Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Sat, 16 Dec 2017 18:06:47 +0100 + proftpd-dfsg (1.3.5d-1) unstable; urgency=medium [ Hilmar Preuße ] diff --minimal -Nru proftpd-dfsg-1.3.5d/debian/rules proftpd-dfsg-1.3.5d/debian/rules --- proftpd-dfsg-1.3.5d/debian/rules2

Bug#884534: liblognorm-dev is wrongly marked Multi-Arch: foreign

2017-12-16 Thread Helmut Grohne
-maintainer upload. + * Remove wrong Multi-Arch: foreign from liblognorm-dev. (Closes: #-1) + + -- Helmut Grohne <hel...@subdivi.de> Sat, 16 Dec 2017 13:58:40 +0100 + liblognorm (2.0.3-1) unstable; urgency=medium * New upstream version 2.0.3 (Closes: #845735) diff --minimal -Nru liblognorm

Bug#884390: poster FTCBFS: uses the build architecture toolchain

2017-12-14 Thread Helmut Grohne
install. + + -- Helmut Grohne <hel...@subdivi.de> Thu, 14 Dec 2017 20:20:46 +0100 + poster (1:20050907-1.1) unstable; urgency=medium * Non-maintainer upload. diff -u poster-20050907/debian/rules poster-20050907/debian/rules --- poster-20050907/debian/rules +++ poster-20050907/debian

Bug#884383: qtwebchannel-opensource-src FTCBFS: does not pass cross flags to qmake

2017-12-14 Thread Helmut Grohne
) + + -- Helmut Grohne <hel...@subdivi.de> Thu, 14 Dec 2017 19:35:56 +0100 + qtwebchannel-opensource-src (5.9.2-3) unstable; urgency=medium * Team upload. diff --minimal -Nru qtwebchannel-opensource-src-5.9.2/debian/control qtwebchannel-opensource-src-5.9.2/debian/control --- qtwebc

Bug#840714: bind9 FTCBFS: python3 dependency, missing --host flags, bad configure checks, etc

2017-12-13 Thread Helmut Grohne
Control: tags -1 - moreinfo Control: block -1 by 854438 On Wed, Dec 13, 2017 at 03:48:49PM +0100, Bernhard Schmidt wrote: > Could you please test again with the current package in sid (new major > upstream release, rules converted to debhelper) and report a new > proposed diff? Sure. The

Bug#884051: cross-gcc-dev needs an update for the gcc-8 cilkrts removal

2017-12-10 Thread Helmut Grohne
Source: cross-gcc Version: 163 Tags: patch User: helm...@debian.org Usertags: rebootstrap cilkrts got removed from gcc-8, so cross-ma-install-location.diff needs to stop patching it. Helmut --- 0004-added-multi-arch-specific-install-location-patch.patch +++

Bug#884050: qtconnectivity-opensource-src FTCBFS: does not pass cross flags to qmake

2017-12-10 Thread Helmut Grohne
+ + * Non-maintainer upload. + * Address FTCBFS: Let dh_auto_configure pass cross flags to qmake. + + -- Helmut Grohne <hel...@subdivi.de> Sun, 10 Dec 2017 13:32:07 +0100 + qtconnectivity-opensource-src (5.9.2-2) unstable; urgency=medium * Upload to unstable. diff --minimal -Nru qtconnec

Bug#794295: lintian: please complain about development packages that make cross building impossible

2017-12-10 Thread Helmut Grohne
On Sun, Dec 10, 2017 at 03:54:41PM +, Chris Lamb wrote: > > The tag I am requesting here mostly targets packages that lack any > > Multi-Arch header (i.e. not covered by the above tag). > > Thank you for the clarification. :) I have just pushed the following: > > >

Bug#794295: lintian: please complain about development packages that make cross building impossible

2017-12-10 Thread Helmut Grohne
On Sun, Dec 10, 2017 at 09:52:41AM +, Chris Lamb wrote: > Hi Helmut, > > > TL;DR: I suggest ignoring Multi-Arch: foreign packages for the purpose of > > this tag to remove false positives. > > Won't these binaries in /usr/bin (etc.) be picked up by: > >

Bug#794295: lintian: please complain about development packages that make cross building impossible

2017-12-09 Thread Helmut Grohne
Hi Chris, TL;DR: I suggest ignoring Multi-Arch: foreign packages for the purpose of this tag to remove false positives. Explanation: On Sat, Dec 09, 2017 at 10:44:26PM +, Chris Lamb wrote: > I've implemented this in Git: > > >

  1   2   3   4   5   6   7   8   9   10   >